# Class yii\web\RangeNotSatisfiableHttpException

Inheritance | yii\web\RangeNotSatisfiableHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0.11
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/RangeNotSatisfiableHttpException.php

RangeNotSatisfiableHttpException represents an exception caused by an improper request of the end-user.

This exception thrown when the requested range is not satisfiable: the client asked for a portion of the file (byte serving), but the server cannot supply that portion. For example, if the client asked for a part of the file that lies beyond the end of the file.

Throwing an RangeNotSatisfiableHttpException like in the following example will result in the error page with error 416 to be displayed.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\RangeNotSatisfiableHttpException
getName() |  | yii\web\HttpException

## Method Details

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, Exception $previous = null )
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.